      subroutine online_spectral_diags_empty
      return
      end subroutine online_spectral_diags_empty
      subroutine init_online_spectral_diags_empty
      end subroutine init_online_spectral_diags_empty
      subroutine run_online_spectral_diags_empty
      end subroutine run_online_spectral_diags_empty
